
From: mita akinobu <amgta@yacht.ocn.ne.jp>

get_zone_counts() is used by max_sane_readahead(), and max_sane_readahead()
is often called in filemap_nopage().

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/readahead.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/readahead.c~shows-active-inactive-on-per-node-meminfo-speedup mm/readahead.c
--- 25/mm/readahead.c~shows-active-inactive-on-per-node-meminfo-speedup	2004-08-21 14:01:50.370258680 -0700
+++ 25-akpm/mm/readahead.c	2004-08-21 14:01:50.374258072 -0700
@@ -572,6 +572,6 @@ unsigned long max_sane_readahead(unsigne
 	unsigned long inactive;
 	unsigned long free;
 
-	get_zone_counts(&active, &inactive, &free);
+	__get_zone_counts(&active, &inactive, &free, NODE_DATA(numa_node_id()));
 	return min(nr, (inactive + free) / 2);
 }
_
